ChangeSet 1.1101.3.3, 2003/04/09 16:49:48-07:00, legoll@free.fr

[PATCH] USB: New USB serial device ID: Asus A600 PDA cradle

Just managed to get usb-serial connection up and running
with my Asus PDA, great work !

If you want to integrate the patches into the kernel tree,
please do so.


 drivers/usb/serial/ipaq.c |    1 +
 drivers/usb/serial/ipaq.h |    3 +++
 2 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	Fri Apr 18 15:01:24 2003
+++ b/drivers/usb/serial/ipaq.c	Fri Apr 18 15:01:24 2003
@@ -131,6 +131,7 @@
 	{ USB_DEVICE(TOSHIBA_VENDOR_ID, TOSHIBA_E740_ID) },
 	{ USB_DEVICE(HTC_VENDOR_ID, HTC_PRODUCT_ID) },
 	{ USB_DEVICE(NEC_VENDOR_ID, NEC_PRODUCT_ID) },
+	{ USB_DEVICE(ASUS_VENDOR_ID, ASUS_A600_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/ipaq.h b/drivers/usb/serial/ipaq.h
--- a/drivers/usb/serial/ipaq.h	Fri Apr 18 15:01:24 2003
+++ b/drivers/usb/serial/ipaq.h	Fri Apr 18 15:01:24 2003
@@ -77,6 +77,9 @@
 #define NEC_VENDOR_ID		0x0409
 #define NEC_PRODUCT_ID		0x00d5
 
+#define ASUS_VENDOR_ID		0x0b05
+#define ASUS_A600_PRODUCT_ID	0x4201
+
 /*
  * Since we can't queue our bulk write urbs (don't know why - it just
  * doesn't work), we can send down only one write urb at a time. The simplistic
